
Name:           openstack-puppet-modules
Version:        2014.1.2
Release:        1%{?dist}
Summary:        Collection of Puppet modules for OpenStack deployment
License:        ASL 2.0 and GPLv2 and GPLv3

URL:            https://github.com/redhat-openstack

Source0:        https://github.com/redhat-openstack/openstack-puppet-modules/archive/%{version}.tar.gz

Patch0001: 0001-horizon-Change-default-documentation-URL.patch
Patch0002: 0002-qpid-Install-QPID-SSL-package.patch
Patch0003: 0003-rabbitmq-Don-t-manage-RabbitMQ-repos.patch
Patch0004: 0004-nova-Change-default-compute-driver.patch
Patch0005: 0005-openstack-This-patch-sets-default-charset-in-DB-to-u.patch
Patch0006: 0006-firewall-Add-support-for-mac-address-source-rules.patch
Patch0007: 0007-firewall-Ensure-that-etc-sysconfig-iptables-exists.patch
Patch0008: 0008-firewall-Correct-resource-dependencies-for-fedora-re.patch
Patch0009: 0009-heat-Implement-Keystone-domain-creation.patch
Patch0010: 0010-neutron-Stop-puppet-from-breaking-neutron.patch
Patch0011: 0011-nova-Don-t-manage-the-nova-uid-gid-if-nova_-user-gro.patch
Patch0012: 0012-nova-Install-ceph-client-libraries-when-using-rbd.patch
Patch0013: 0013-neutron-Configure-OVS-mechanism-agent-configs-in-its.patch
Patch0014: 0014-horizon-Just-clean-original-config.patch
Patch0015: 0015-neutron-Fixes-plugin.ini-error.patch
Patch0016: 0016-ceilometer-Add-manage_service-feature.patch
Patch0017: 0017-heat-Add-manage_service-feature.patch
Patch0018: 0018-horizon-Add-manage_service-feature-for-horizon.patch
Patch0019: 0019-keystone-Add-manage_service-feature.patch
Patch0020: 0020-swift-Add-manage_service-feature.patch
Patch0021: 0021-glance-Add-manage_service-feature.patch
Patch0022: 0022-neutron-Fixed-manage_service-feature.patch
Patch0023: 0023-nova-vlan-is-not-the-same-as-vlan_start.patch
Patch0024: 0024-neutron-New-manifest-file-to-deploy-Cisco-N1KV-VEM.patch
Patch0025: 0025-vswitch-Fixed-issue-with-vlan-on-redhat-provider.patch
Patch0026: 0026-Fix-the-subnet-dhcp-enable-disable-param.patch
Patch0027: 0027-pki-setup-should-be-run-regardless-of-token-provider.patch
Patch0028: 0028-Switch-to-TLSv1-as-SSLv3-is-considered-insecure-and-.patch
Patch0029: 0029-Switch-to-TLSv1-as-SSLv3-is-considered-insecure-and-.patch
Patch0030: 0030-Switch-to-TLSv1-as-SSLv3-is-considered-insecure-and-.patch
Patch0031: 0031-Makes-kombu_ssl_-parameters-optional-when-rabbit_use.patch
Patch0032: 0032-Switch-to-TLSv1-as-SSLv3-is-considered-insecure-and-.patch
Patch0033: 0033-Switch-to-TLSv1-as-SSLv3-is-considered-insecure-and-.patch
Patch0034: 0034-Switch-to-TLSv1-as-SSLv3-is-considered-insecure-and-.patch
Patch0035: 0035-Disable-file-injection-when-using-RBD-as-compute-eph.patch

BuildArch:      noarch
Requires:       rubygem-json

%description
A collection of Puppet modules which are required to install and configure
OpenStack via installers using Puppet configuration tool.


%prep
%setup

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1

find %{_builddir}/%{name}-%{version}/ -type f -name ".*" -exec rm {} +
find %{_builddir}/%{name}-%{version}/ -size 0 -exec rm {} +
find %{_builddir}/%{name}-%{version}/ \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find %{_builddir}/%{name}-%{version}/ \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find %{_builddir}/%{name}-%{version}/ \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} + -exec sed -i "/^#!/{d;q}" {} +
find %{_builddir}/%{name}-%{version}/ \( -name spec -o -name ext \) | xargs rm -rf


%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp -r apache %{buildroot}/%{_datadir}/openstack-puppet/modules/apache
cp -r ceilometer %{buildroot}/%{_datadir}/openstack-puppet/modules/ceilometer
cp -r certmonger %{buildroot}/%{_datadir}/openstack-puppet/modules/certmonger
cp -r cinder %{buildroot}/%{_datadir}/openstack-puppet/modules/cinder
cp -r common %{buildroot}/%{_datadir}/openstack-puppet/modules/common
cp -r concat %{buildroot}/%{_datadir}/openstack-puppet/modules/concat
cp -r firewall %{buildroot}/%{_datadir}/openstack-puppet/modules/firewall
cp -r galera %{buildroot}/%{_datadir}/openstack-puppet/modules/galera
cp -r glance %{buildroot}/%{_datadir}/openstack-puppet/modules/glance
cp -r gluster %{buildroot}/%{_datadir}/openstack-puppet/modules/gluster
cp -r haproxy %{buildroot}/%{_datadir}/openstack-puppet/modules/haproxy
cp -r heat %{buildroot}/%{_datadir}/openstack-puppet/modules/heat
cp -r horizon %{buildroot}/%{_datadir}/openstack-puppet/modules/horizon
cp -r inifile %{buildroot}/%{_datadir}/openstack-puppet/modules/inifile
cp -r keystone %{buildroot}/%{_datadir}/openstack-puppet/modules/keystone
cp -r memcached %{buildroot}/%{_datadir}/openstack-puppet/modules/memcached
cp -r module-data %{buildroot}/%{_datadir}/openstack-puppet/modules/module-data
cp -r mongodb %{buildroot}/%{_datadir}/openstack-puppet/modules/mongodb
cp -r mysql %{buildroot}/%{_datadir}/openstack-puppet/modules/mysql
cp -r n1k-vsm %{buildroot}/%{_datadir}/openstack-puppet/modules/n1k-vsm
cp -r neutron %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron
cp -r nova %{buildroot}/%{_datadir}/openstack-puppet/modules/nova
cp -r nssdb %{buildroot}/%{_datadir}/openstack-puppet/modules/nssdb
cp -r openstack %{buildroot}/%{_datadir}/openstack-puppet/modules/openstack
cp -r pacemaker %{buildroot}/%{_datadir}/openstack-puppet/modules/pacemaker
cp -r puppet %{buildroot}/%{_datadir}/openstack-puppet/modules/puppet
cp -r qpid %{buildroot}/%{_datadir}/openstack-puppet/modules/qpid
cp -r rabbitmq %{buildroot}/%{_datadir}/openstack-puppet/modules/rabbitmq
cp -r rsync %{buildroot}/%{_datadir}/openstack-puppet/modules/rsync
cp -r sahara %{buildroot}/%{_datadir}/openstack-puppet/modules/sahara
cp -r ssh %{buildroot}/%{_datadir}/openstack-puppet/modules/ssh
cp -r staging %{buildroot}/%{_datadir}/openstack-puppet/modules/staging
cp -r stdlib %{buildroot}/%{_datadir}/openstack-puppet/modules/stdlib
cp -r swift %{buildroot}/%{_datadir}/openstack-puppet/modules/swift
cp -r sysctl %{buildroot}/%{_datadir}/openstack-puppet/modules/sysctl
cp -r tempest %{buildroot}/%{_datadir}/openstack-puppet/modules/tempest
cp -r vcsrepo %{buildroot}/%{_datadir}/openstack-puppet/modules/vcsrepo
cp -r vlan %{buildroot}/%{_datadir}/openstack-puppet/modules/vlan
cp -r vswitch %{buildroot}/%{_datadir}/openstack-puppet/modules/vswitch
cp -r xinetd %{buildroot}/%{_datadir}/openstack-puppet/modules/xinetd
cp Puppetfile %{buildroot}/%{_datadir}/openstack-puppet/Puppetfile
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init


%files
%{_datadir}/openstack-puppet/modules/*
%{_datadir}/openstack-puppet/Puppetfile


%changelog
* Sun Apr 05 2015 Ivan Chavero <ichavero@redhat.com> 2014.1.2-1
- Update to upstream 2014.1.2
- Pacemaker cve bump (rhbz#1206972)

* Thu Mar 26 2015 Lukas Bezdicka <lbezdick@redhat.com> 2014.1.1-3
- Disable file injection when using RBD as compute ephemeral storage
- Switch to TLSv1 as SSLv3 is considered insecure and is disabled by default
- Switch to TLSv1 as SSLv3 is considered insecure and is disabled by default
- Switch to TLSv1 as SSLv3 is considered insecure and is disabled by default
- Makes kombu_ssl_* parameters optional when rabbit_use_ssl => true
- Switch to TLSv1 as SSLv3 is considered insecure and is disabled by default
- Switch to TLSv1 as SSLv3 is considered insecure and is disabled by default
- Switch to TLSv1 as SSLv3 is considered insecure and is disabled by default
- pki-setup should be run regardless of token provider

* Wed Dec 10 2014 Iván Chavero <ichavero@redhat.com> - 2014.1.1-2
- Added 0026-Fix-the-subnet-dhcp-enable-disable-param.patch (rhbz#1172129)

* Wed Nov 19 2014 Martin Mágr <mmagr@redhat.com> 2014.1.1-1
- Update to upstream 2014.1.1

* Mon Oct 27 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-24.2
- Updated neutron commit (rhbz#1146136)
- Updated ceilometer commit (rhbz#1141357)

* Fri Oct 24 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-24.1
- Added 0001-Set-volume_driver-for-iscsi-backend-explicitly.patch (rhbz#1143986)

* Mon Oct 13 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-24
- Added the n1k-vsm module (rhbz#1121788)

* Thu Oct 09 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-23
- Bumped mongodb to latest commit

* Mon Oct 06 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-22.1
- (ERRATA) Uploaded neutron puppet module sources for last commit

* Fri Oct 03 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-22
- Added 0001-New-manifest-file-to-deploy-Cisco-N1KV-VEM.patch
  (rhbz#1127340)
- Bumped neutron to latest icehouse stable (rhbz#1121788)

* Tue Sep 02 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-21.8
- Updated to #20 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch
  (rhbz#1133446)

* Fri Aug 29 2014 Lon Hohberger <lhh@redhat.com> - 2014.1-21.7
- Updated 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch
  (rhbz#1133446)
- Added 0001-vlan-is-not-the-same-as-vlan_start.patch (rhbz#1135079)

* Wed Aug 27 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-21.4
- Updated manage_service-horizon.patch

* Wed Aug 27 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-21.3
- Dropped manage_service-mysql.patch (rhbz#1129397)

* Mon Aug 25 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-21.2
- Added manage_service-neutron.patch (rhbz#1134000)

* Mon Aug 25 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-21.1
- Fixed 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch (rhbz#1133446)

* Mon Aug 25 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-21
- Updated puppet-galera module (rhbz#1129397)
- Added manage_service-ceilometer.patch (rhbz#1129410)
- Added manage_service-heat.patch (rhbz#1129407)
- Added manage_service-horizon.patch (rhbz#1129408)
- Added manage_service-keystone.patch (rhbz#1129399)
- Added manage_service-mysql.patch (rhbz#1129397)
- Added manage_service-swift.patch (rhbz#1129409)
- Added manage_service-glance.patch (rhbz#1129404)

* Mon Aug 18 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-20.2
- Updated 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch to patchset 17 (rhbz#1130657)

* Thu Aug 14 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-20.1
- Fix version of 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch

* Tue Aug 12 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-20
- Bump Pacemaker to the latest version (rhbz#1120584)
- Add 0001-Fixes-plugin.ini-error.patch (rhbz#1114739)

* Wed Jul 30 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19.9
- Add new version (15) of 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch

* Fri Jul 25 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19.8
- Fix patch 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch to
  work with the other vswitch patches.

* Fri Jul 25 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19.7
- Fix version of 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch

* Fri Jul 25 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19.6
- Fix version of 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch

* Fri Jul 25 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19.5
- Add new version of 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch

* Thu Jul 24 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19.4
- Add 0001-Refacfored-a-more-suitable-ovs_redhat-provider.patch

* Wed Jul 23 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-19.2
- Enabled puppet-module-data inclusion (rhbz#1105597)
- Added 0001-Just-clean-original-config.patch (rhbz#1122192)

* Thu Jul 10 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19.1
- Remove puppetlabs-firewall-pull-request-367.patch
- Add puppetlabs-firewall-pull-request-367-2.patch

* Thu Jul 10 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-19
- Update puppet-neutron to most recent stable/icehouse
- Added 0001-Configure-OVS-mechanism-agent-configs-in-its-config-.patch
- Remove 0001-Refresh-Neutron-server.patch

* Wed Jul 09 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-18.3
- Added 0001-Install-ceph-client-libraries-when-using-rbd.patch

* Thu Jul 03 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-18.2
- Added 0001-Remove-ability-to-manage-the-nova-uid-gid.patch

* Mon Jun 30 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-18.1
- Removed 0002-Refacfored-a-more-suitable-ovs_redhat-provider.patch and 0003-Fixes-bridge-addition-error-if-interface-has-no-IP.patch (rhbz#1114583)

* Thu Jun 26 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-18
- Updated modules to redhat-openstack/openstack-puppet-modules-2014.1-18
- Added cinder-target-service.patch
- Removed swift-restorecon.patch

* Wed Jun 25 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-17.1
- Added 0001-Refresh-Neutron-server.patch (rhbz#1110281)
- Added rabbitmq-repo-manage.patch (rhbz#1112853)

* Wed Jun 25 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-17
- Updated modules to redhat-openstack/openstack-puppet-modules-2014.1-17
- Removed 0001-Fix-typo-in-template-and-add-tests-for-default-setup.patch
- Removed 0001-Add-requires-on-qpid-package.patch
- Added rhos-5.0-documentation.patch (rhbz#1092019)
- Addef rhos-5.0-qpid-0.18.patch

* Thu Jun 19 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-16.2
- Added 0003-Fixes-bridge-addition-error-if-interface-has-no-IP.patch (rhbz#1109894)
- Added 0001-Fix-typo-in-template-and-add-tests-for-default-setup.patch
- Added 0001-Add-requires-on-qpid-package.patch

* Thu Jun 19 2014 Lon Hohberger <lhh@redhat.com> - 2014.1-16.1
- Update puppetlabs-mysql to 8d5fed32 (rhbz#1109890)

* Wed Jun 18 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-16
- Updated modules to redhat-openstack/openstack-puppet-modules-2014.1-16
- Removed keystone.patch and 0001-Fixes-agent_notification_service_name.patch
- Disabled puppet-module-data module because it breaks O-F-I

* Mon Jun 16 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-14.6
- Added 0001-Fixes-bridge-interface-name-check.patch (rhbz#1109857)

* Mon Jun 16 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-14.5
- Added 0001-stop-puppet-from-breaking-neutron.patch (rhbz#1109445)

* Fri Jun 13 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-14.4
- Fixed swift-restorecon.patch

* Wed Jun 11 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-14.3
- Added 0001-Fixed-ovs-provider.patch and 0002-Refacfored-a-more-suitable-ovs_redhat-provider.patch (rhbz#1095279)

* Mon Jun 09 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-14.2
- Fixed 0001-Implement-Keystone-domain-creation.patch

* Fri Jun 06 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-14.1
- Updated modules to redhat-openstack/openstack-puppet-modules-2014.1-14
- Added puppetlabs-firewall-pull-request-367.patch and swift-restorecon.patch
- Removed cinder.patch and 0001-Use-lioadm-as-iscsi-helper-on-RHEL-7.patch

* Fri Jun 06 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-14
- Added 0001-Implement-Keystone-domain-creation.patch

* Tue Jun 03 2014 Alan Pevec <apevec@redhat.com> - 2014.1-13.2
- Fix agent notification service name for el6

* Fri May 30 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-13.1
- Added puppetlabs-firewall-pull-request-365.patch

* Fri May 30 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-13
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules
- Added 0001-Fixes-agent_notification_service_name.patch

* Fri May 23 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-12
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules
- Added missing puppetlabs-firewall-pull-request-337.patch
- Removed glance.patch since the changes are now upstream

* Wed May 14 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-11
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules

* Mon May 12 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-10.1
- Added 0001-Quickfix-to-remove-duplication-with-ceilometer-agent.patch

* Mon May 12 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-10
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules

* Wed May 7 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-9.1
- Added rubyjem-json requirement

* Wed Apr 30 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-9
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules
- Switched puppet-gluster for puppet-openstack-storage
- Added modules required by puppet-gluster: puppet-common, puppet-keepalived, puppet-puppet
- Updated modules: puppetlabs-apache, puppetlabs-mysql, puppet-neutron, puppet-pacepaker, puppetlabs-stdlib, puppet-vswitch
- Removed unnecessary patches: apache24.patch, mariadb.patch, neutron.patch, 0001-Fix-neutron-subnets-with-empty-values.patch

* Fri Apr 25 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-8
- Added patches for neutron, cinder and nova

* Tue Apr 8 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-7
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules

* Mon Apr 7 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-6
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules

* Wed Apr 2 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-5.6
- Synchronized pacemaker with current master branch of redhat-openstack/openstack-puppet-modules

* Wed Apr 2 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-5.5
- Added 0001-Fix-network_vlan_ranges-parameter-for-OVS-plugin.patch (rhbz#1066549)
- Added 0002-Change-dhcp_lease_duration-to-Havana-default-of-8640.patch (rhbz#1082505)
- Added 0003-Do-not-create-symblic-link-for-cisco-plugin.patch (rhbz#1080442)

* Mon Mar 31 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-5.4
- Added cinder.patch, nova.patch and keystone.patch utf8 charset patches

* Wed Mar 26 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-5.3
- Added openstack.patch

* Wed Mar 26 2014 Iván Chavero <ichavero@redhat.com> - 2014.1-5.2
- Added heat.patch and neutron.patch

* Mon Mar 24 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-5.1
- Added glance.patch

* Thu Mar 20 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-5
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules

* Thu Mar 20 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-4
- Added mariadb.patch, apache24.patch, el7-nova.patch, el7-cinder.patch

* Mon Mar 17 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-3
- Added compute_driver.patch (rhbz#1044606)

* Tue Mar 11 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-2
- Synchronized modules with current master branch of redhat-openstack/openstack-puppet-modules

* Wed Feb 12 2014 Martin Mágr <mmagr@redhat.com> - 2014.1-1
- Synchronized modules with current master branch of Packstack
  and openstack-puppet-modules-repo (https://github.com/redhat-openstack/openstack-puppet-modules)

* Thu Dec 05 2013 Ben Nemec <bnemec@redhat.com> - 2013.2-7
- Added puppet-openstack-storage
- Synchronized modules with current state in package packstack-modules-puppet

* Wed Dec 04 2013 Ben Nemec <bnemec@redhat.com> - 2013.2-6
- Synchronized modules with current state in package packstack-modules-puppet

* Fri Nov 15 2013 Ben Nemec <bnemec@redhat.com> - 2013.2-5
- Added puppet-certmonger and puppet-nssdb
- Synchronized modules with current state in package packstack-modules-puppet

* Fri Oct 25 2013 Martin Mágr <mmagr@redhat.com> - 2013.2-4
- Added puppet-ceilometer, puppetlabs-mongodb, puppet-heat and puppet-pacemaker
- Synchronized modules with current state in package packstack-modules-puppet

* Sun Oct 20 2013 Ryan O'Hara <rohara@redhat.com> - 2013.2-3
- Install modules to openstack-puppet directory.

* Mon Oct 14 2013 Ryan O'Hara <rohara@redhat.com> - 2013.2-2
- Package review changes.

* Wed Sep 04 2013 Ryan O'Hara <rohara@redhat.com> - 2013.2-1
- Initial spec file.
